Bug 27523 - Adding new itemtype lock image to carredart
Summary: Adding new itemtype lock image to carredart
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-21 23:30 UTC by Victoria Faafia
Modified: 2022-06-06 20:25 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement adds a lock image to the carredart icon set for item types.
Version(s) released in:
21.11.00


Attachments
adding lock itemtype image (1.83 KB, patch)
2021-01-21 23:36 UTC, Victoria Faafia
Details | Diff | Splinter Review
Bug 27523: (follow-up) Add copy of image to carredart in the OPAC (1.71 KB, patch)
2021-01-22 17:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27523: Adding new itemtype lock image to carredart (1.89 KB, patch)
2021-01-25 11:29 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27523: (follow-up) Add copy of image to carredart in the OPAC (1.78 KB, patch)
2021-01-25 11:29 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27523: Adding new itemtype lock image to carredart (3.50 KB, patch)
2021-07-26 12:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27523: Adding new itemtype lock image to carredart (3.55 KB, patch)
2021-07-28 20:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 27523: Adding new itemtype lock image to carredart (3.62 KB, patch)
2021-08-18 09:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Victoria Faafia 2021-01-21 23:30:50 UTC

    
Comment 1 Victoria Faafia 2021-01-21 23:36:19 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2021-01-21 23:37:35 UTC
Hi Victoria, please add the new image the the directory for the OPAC as well!
Comment 3 Owen Leonard 2021-01-22 17:11:54 UTC Comment hidden (obsolete)
Comment 4 PTFS Europe Sandboxes 2021-01-25 11:29:25 UTC Comment hidden (obsolete)
Comment 5 PTFS Europe Sandboxes 2021-01-25 11:29:28 UTC Comment hidden (obsolete)
Comment 6 Sally 2021-01-25 11:31:10 UTC
Works as described.

Test Plan
1. Go to Administration>item types>modify item type
2. There should be a lock item type under the carredart
3. Modify the item type so the lock item type is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and OPAC
Comment 7 Katrin Fischer 2021-01-26 21:34:36 UTC
Hi, please see comment on bug 27522 too.
Can you please clear up where the icon was taken from before we add it to Koha?
Comment 8 Owen Leonard 2021-07-26 12:48:27 UTC
Created attachment 123189 [details] [review]
Bug 27523: Adding new itemtype lock image to carredart

This patch adds a new "lock" image to the carredart icon set. The source
of the image is in the public domain:
https://thenounproject.com/icon/89649.

Test Plan
1. Go to Administration > Item types > Modify item type
2. There should be a lock item type under the carredart
3. Modify the item type so the lock item type is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and
   OPAC
Comment 9 David Nind 2021-07-28 20:50:37 UTC
Created attachment 123275 [details] [review]
Bug 27523: Adding new itemtype lock image to carredart

This patch adds a new "lock" image to the carredart icon set. The source
of the image is in the public domain:
https://thenounproject.com/icon/89649.

Test Plan
1. Go to Administration > Item types > Modify item type
2. There should be a lock item type under the carredart
3. Modify the item type so the lock item type is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and
   OPAC

Signed-off-by: David Nind <david@davidnind.com>
Comment 10 Katrin Fischer 2021-08-18 09:28:54 UTC
Created attachment 123930 [details] [review]
Bug 27523: Adding new itemtype lock image to carredart

This patch adds a new "lock" image to the carredart icon set. The source
of the image is in the public domain:
https://thenounproject.com/icon/89649.

Test Plan
1. Go to Administration > Item types > Modify item type
2. There should be a lock item type under the carredart
3. Modify the item type so the lock item type is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and
   OPAC

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Jonathan Druart 2021-08-18 14:22:52 UTC
Based on bug 27522 comment 22 I have decided to restore the original version of the icon
Comment 12 Jonathan Druart 2021-08-18 14:31:45 UTC
Pushed to master for 21.11, thanks to everybody involved!